main {
  overflow: visible !important;
}

body {
  overflow-x: hidden;
}



/* --- 全体レイアウト --- */

.history__wrapper {
  display: flex;
  align-items: flex-start;
  margin: 0 auto;
  gap: 9rem;
  padding: 0 16.8rem 11rem;
  position: relative;
}

.history__nav {
  position: sticky;
  top: 20rem;
  width: 25.6rem;
  flex-shrink: 0;
  z-index: 10;
  height: auto;
}

.history__nav__group {
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}

.history__nav__item {
  display: flex;
  align-items: center;
  padding: 1.2rem 1.2rem 1.2rem 4rem;
  border: .1rem solid #000;
  border-radius: 5rem;
  text-decoration: none;
  font-size: 1.8rem;
  transition: all 0.3s ease;
  background: #fff;
  position: relative;
  box-sizing: border-box;
}

.history__nav__item.active {
  background-color: #000;
  color: #fff;
  border-color: #000;
}

.history__nav__item::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 1.3rem;
  transform: translateY(-50%);
  width: 1.5rem;
  height: 0.8rem;
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 10'%3E%3Cpath d='M1 1l7 7 7-7' stroke='black' stroke-width='1.2' fill='none' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
  mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 10'%3E%3Cpath d='M1 1l7 7 7-7' stroke='black' stroke-width='1.2' fill='none' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-size: contain;
  mask-size: contain;
  background-color: currentColor;
  display: inline-block;
}

.history__nav__item.active::after {
  background-color: #fff;
}

/* --- 右側コンテンツエリア --- */
.history__container {
  flex-grow: 1;
}

.history__timeline {
  position: relative;
  border-left: 0.1rem solid #000;
  padding-bottom: 6rem;
}

.history__section {
  padding-left: 6rem;
  scroll-margin-top: 17.5rem;
}

.history__year__group {
  flex-shrink: 0;
  text-align: center;
}

.history__year__en {
  font-family: "Shippori Mincho B1";
  font-size: 4rem;
  font-weight: 500;
  display: block;
  position: relative;
}

.history__year__en::before {
  content: '';
  position: absolute;
  left: -6.7rem;
  top: 2rem;
  width: 1.3rem;
  height: 1.3rem;
  border-radius: 50%;
  background-color: #553100;
}

.history__year__jp {
  font-size: 1.4rem;
  line-height: 3.6rem;
  display: block;
}

.history__content {
  display: flex;
  border-bottom: 0.1rem solid #C4C4C4;
  padding-top: 3rem;
  min-height: 13.5rem;
}

.history__description {
  flex: 1;
  margin-left: 7rem;
  font-size: 1.6rem;
  line-height: 3.6rem;
}

.history__content.--1963 {
  position: relative;
}

.history__description__add {
  position: absolute;
  bottom: 3rem;
  right: 20rem;
  font-size: 1.2rem;
  line-height: 1.7rem;
}

.history__image {
  display: flex;
  gap: 1.4rem;
  padding-bottom: 3rem;
}

/* 1947年代写真 */
#history__1947 .history__content:nth-of-type(1) .history__image img {
  width: 21.1rem;
}

#history__1947 .history__content:nth-of-type(2) .history__image img,
#history__1947 .history__content:nth-of-type(3) .history__image img {
  width: 14.9rem;
}

#history__1947 .history__content:nth-of-type(5) .history__image img {
  width: 15.2rem;
}

#history__1947 .history__content:nth-of-type(7) .history__image img {
  width: 14.5rem;
}

/* 1958年代写真 */
#history__1958 .history__content:nth-of-type(1) .history__image img {
  width: 14.5rem;
}

#history__1958 .history__content:nth-of-type(3) .history__image img {
  width: 15rem;
}

#history__1958 .history__content:nth-of-type(7) .history__image img {
  width: 21.3rem;
}

#history__1958 .history__content:nth-of-type(8) .history__image img:first-of-type {
  width: 19.3rem;
  height: 12.6rem;
}

#history__1958 .history__content:nth-of-type(8) .history__image img:nth-of-type(2) {
  width: 17.3rem;
}

/* 1991年代写真 */
#history__1991 .history__content:nth-of-type(3) .history__image img {
  width: 21.8rem;
}

/* 2019年代写真 */
#history__2019 .history__content:nth-of-type(1) .history__image img {
  width: 17.9rem;
}

#history__2019 .history__content:nth-of-type(3) .history__image img:first-of-type {
  width: 11.8rem;
  height: 16.6rem;
}

#history__2019 .history__content:nth-of-type(3) .history__image img:nth-of-type(2) {
  width: 13.4rem;
  height: 11rem;
}


@media (max-width:767px) {
  .company__fv {
    width: 100%;
    margin-right: 0;
  }

  .history__wrapper {
    gap: 3rem;
    padding: 0 3.6rem 10rem 3rem;
    flex-direction: column;
  }

  .history__nav {
    position: static;
    top: 7rem;
    width: 100%;
    background: #fff;
    z-index: 100;
  }

  .history__nav__group {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: center;
  }

  .history__nav__item {
    width: calc(50% - 0.5rem);
    font-size: 1.2rem;
    padding: 1.2rem 1.2rem 1.2rem 2rem;
  }

  .history__nav__item::after {
    width: 1.125rem;
    height: 0.6rem;
    right: 0.8rem;
    top: 2rem;
  }

  .history__section {
    padding-left: 3rem;
    scroll-margin-top: 5rem;
  }

  .history__content {
    flex-direction: column;
  }

  .history__year__group {
    text-align: left;
  }

  .history__year__en {
    font-size: 3rem;
  }

  .history__year__jp {
    font-size: 1.2rem;
    margin-left: .9rem;
    line-height: 1;
  }

  .history__year__en::before {
    left: -3.7rem;
    top: 1.5rem;
  }

  .history__description {
    margin-left: 0;
    font-size: 1.4rem;
    line-height: 2.8rem;
    padding: 2rem 0;
  }

  .history__description__add {
    position: static;
    padding-bottom: 2.5rem;
    font-size: 1rem;
  }

  .history__image {
    flex-direction: column;
    gap: 2.5rem;
  }

}